Subject: Re: Using fixed_phy with gianfar

From: Vitaly Bordug <[email-masked]>
Date: Wed, 10 Jan 2007 19:04:41 +0300

On Wed, 10 Jan 2007 06:22:40 -0800 (PST)
Ben Warren wrote:

> Thanks Vitaly!
> 
> --- Vitaly Bordug <[email-masked]> wrote:
> 
> > No, you do not miss - this is an issue. In fact MDIO
> > bus was changed for numeric for gianfar-stuff, and
> > has been remaining string for fs_enet. I think it
> > makes sense to average this up, and will try to do
> > that once will get 8349-mitx which is gianfar+ fixed
> > user.
> > 
> > The point is that fixed should be updated to numeric
> > MDIO address encoding. This has to come through
> > netdev, so I'll try to get it fixed by the next
> > merge window.
> > 
> > --
> > Sincerely, Vitaly
> > 
> 
> Ideally (for me anyway), we'd be able to pass some
> fixed phy information via the device tree, for example
> speed and duplexity.  This way a board could, for
> example, connect to one switch via RvMII @100FD and
> another via GMII @1000FD.  Having parameters as
> numeric limits this capability, but presumably a
> simple encoding scheme could be make it work.  
> 
> I'm sure you've already thought of this, though...

Yes, I was thinking about something like 0:1001 or 0:101 where 1 at the end respects duplexity.
Putting it into devtree is good but we'll need to unify the interface first.

--
Sincerely, Vitaly